### Method

# Adw ButtonRow set_end_icon_name

since: 1.6

#### Declaration [src]

    void
    adw_button_row_set_end_icon_name (
      AdwButtonRow* self,
      const char* icon_name
    )

#### Description [src]

Sets the end icon name for `self`.

Available since: 1.6

Sets property | `Adw.ButtonRow:end-icon-name`

#### Parameters

`icon_name`

  Type: `const char*`

  The end icon name.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.